aboutsummaryrefslogtreecommitdiff
path: root/script/find_src.sh
diff options
context:
space:
mode:
Diffstat (limited to 'script/find_src.sh')
-rwxr-xr-xscript/find_src.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/script/find_src.sh b/script/find_src.sh
new file mode 100755
index 0000000..1d645a1
--- /dev/null
+++ b/script/find_src.sh
@@ -0,0 +1,21 @@
+#!bin/sh
+
+if [ $# -ne 1 ]; then
+ echo "Usage $0 ignore_file"
+ exit 1
+fi
+
+IGNORE_FILE=$1
+
+if [ ! -e $IGNORE_FILE ]; then
+ echo "Ignore file doesnt exist"
+ exit 1
+fi
+
+SRC_DIR=src
+
+IGNORE_FIND_ARGS=`sed 's/.*/-not -path "&"/' $IGNORE_FILE | paste -sd " "`
+IGNORE_FIND_ARGS="$IGNORE_FIND_ARGS -not -name \"*inter*\""
+
+sh -c "find $SRC_DIR $IGNORE_FIND_ARGS -name \"*.c\""
+# find $SRC_DIR $IGNORE_FIND_ARGS -name "*.c"